# $Revision: 1.27 $, $Date: 2012/01/11 21:58:13 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Email
%define		pnam	Simple
Summary:	Email::Simple - email handling, simply
Summary(pl.UTF-8):	Email::Simple - obsługa poczty elektronicznej, po prostu
Name:		perl-Email-Simple
Version:	2.101
Release:	1
Epoch:		1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Email/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	6d1aad80176b630629a8344ef06cff78
URL:		http://search.cpan.org/dist/Email-Simple/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%{?with_tests:BuildRequires:	perl-Email-Date-Format}
Obsoletes:	perl-Email-Simple-Creator
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Email::Simple is the first deliverable of the "Perl Email Project", a
reaction against the complexity and increasing bugginess of the
Mail::* modules. In contrast, Email::* modules are meant to be simple
to use and to maintain, pared to the bone, fast, minimal in their
external dependencies, and correct.

Methods are deliberately kept to a minimum. This is meant to be
simple. No, I will not add method X. This is meant to be simple. Why
doesn't it have feature Y? Because it's meant to be simple.

%description -l pl.UTF-8
Email::Simple to pierwszy produkt projektu "Perl Email Project",
będącego reakcją na złożoność i rosnący współczynnik zapluskwienia
modułów Mail::*. W przeciwieństwie do Mail::*, moduły Email::* mają
być proste w użyciu i w utrzymaniu, jednocześnie być szybkie i mieć
minimalne zależności, a także być poprawne.

Metody są rozmyślnie utrzymywane w minimalnej liczbie. To ma być
proste. Nie, nie dodamy metody X. To ma być proste. Dlaczego nie ma to
możliwości Y? Ponieważ to ma być proste.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%{__perl} -pi -e 's/(use 5.005)(03;)/$1_$2/' lib/Email/Simple.pm

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Email/Simple.pm
%{perl_vendorlib}/Email/Simple/*.pm
%{_mandir}/man3/Email::Simple*.3pm*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Email-Simple.spec,v $
Revision 1.27  2012/01/11 21:58:13  zbyniu
- up to 2.101

Revision 1.26  2010/10/19 20:22:35  sls
- BR: perl-Email-Date-Format --with tests

Revision 1.25  2009/11/20 11:16:33  amateja
- added O: perl-Email-Simple-Creator
- adapterized
- release 2

Revision 1.24  2009/11/20 08:27:27  amateja
- updated to 2.100

Revision 1.23  2009/06/18 13:06:42  amateja
- updated to 2.005

Revision 1.22  2008/03/23 22:38:07  qboosh
- fixed workaround

Revision 1.21  2008-01-09 12:49:18  agaran
- commented out as it don't work at all

Revision 1.20  2007-12-26 23:17:53  zbyniu
- up to 2.003; generic URL

Revision 1.19  2007-02-13 07:16:55  glen
- tabs in preamble

Revision 1.18  2007/02/12 00:49:29  baggins
- converted to UTF-8

Revision 1.17  2006/08/22 15:14:06  glen
- rel 1

Revision 1.16  2006/08/10 20:13:45  agaran
- up to 1.96, rel 0.1, builds here

Revision 1.15  2005/05/19 15:50:05  ankry
- fixed autodetected requires

Revision 1.14  2004/11/12 10:22:03  paladine
- updated to 1.92

Revision 1.13  2004/11/05 10:10:51  paladine
- updated to 1.91

Revision 1.12  2004/11/03 22:30:20  paladine
- formatting

Revision 1.11  2004/08/22 15:30:46  radek
- version 1.9, epoch 1

Revision 1.10  2004/05/07 00:32:00  ankry
- rel. 2

Revision 1.9  2004/05/06 18:09:33  ankry
- fixed perl-devel BR

Revision 1.8  2004/04/20 10:19:49  ankry
- new bconds

Revision 1.7  2004/04/20 07:35:45  ankry
- license fixes and unification

Revision 1.6  2003/10/01 22:39:23  migo
- up to 1.61

Revision 1.5  2003/09/15 09:42:30  adamg
- updated to 1.6

Revision 1.4  2003/09/09 10:24:34  ankry
- spaces -> tab

Revision 1.3  2003/08/27 00:16:33  gotar
- fixed changelog trailer

Revision 1.2  2003/07/31 21:10:46  qboosh
- pl

Revision 1.1  2003/07/25 19:22:52  radek
- new
